#include <sta/rtos/mutex.hpp>


namespace sta
{
	RTOSMutex::RTOSMutex(osMutexId_t * handle)
		: handle_{handle}
	{}

	void RTOSMutex::acquire()
	{
		osMutexAcquire(*handle_, osWaitForever);
	}

	void RTOSMutex::release()
	{
		osMutexRelease(*handle_);
	}
} // namespace sta
